Extending Qt Creator Manual | DebugFilterSymbolGroupNodeVisitor

Extending Qt Creator Manual 4.4.0

# DebugFilterSymbolGroupNodeVisitor Class

The DebugFilterSymbolGroupNodeVisitor class is a debug filtering output visitor. More...

Header: | #include <DebugFilterSymbolGroupNodeVisitor>
Inherits: | DebugSymbolGroupNodeVisitor

- List of all members, including inherited members

## Public Functions

| DebugFilterSymbolGroupNodeVisitor(std::ostream &os, const std::string &filter, const unsigned verbosity = 0)

## Reimplemented Protected Functions

virtual VisitResult | visit(AbstractSymbolGroupNode *node, const std::string &fullIname, unsigned child, unsigned depth)

- 1 protected function inherited from DebugSymbolGroupNodeVisitor
- 3 protected functions inherited from SymbolGroupNodeVisitor

### Additional Inherited Members

- 1 static public member inherited from SymbolGroupNodeVisitor
- 1 protected function inherited from DebugSymbolGroupNodeVisitor
- 3 protected functions inherited from SymbolGroupNodeVisitor

## Detailed Description

The DebugFilterSymbolGroupNodeVisitor class is a debug filtering output visitor.

## Member Function Documentation

### DebugFilterSymbolGroupNodeVisitor::DebugFilterSymbolGroupNodeVisitor(std::ostream &os, const std::string &filter, const unsigned verbosity = 0)

Default constructs an instance of DebugFilterSymbolGroupNodeVisitor.

### `[virtual protected]` VisitResult DebugFilterSymbolGroupNodeVisitor::visit(AbstractSymbolGroupNode *node, const std::string &fullIname, unsigned child, unsigned depth)